%define pkg_name        POE-Component-Client-HTTP
%define pkg_version     0.82
%define rpm_pkg_version 0.82
%define rpm_pkg_release 1.n0i.10

Summary:       Non-blocking/parallel web requests engine
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RC/RCAPUTO/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Request) >= 1.3
BuildRequires: perl(HTTP::Response) >= 1.37
BuildRequires: perl(Net::HTTP::Methods) >= 0.02
BuildRequires: perl(POE) >= 0.3202
BuildRequires: perl(POE::Component::Client::Keepalive) >= 0.09
BuildRequires: perl(URI) >= 1.24


%description
POE::Component::Client::HTTP is an HTTP user-agent for POE. It lets other
sessions run while HTTP transactions are being processed, and it lets
several HTTP transactions be processed in parallel.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES examples/ README


%changelog
* Sun Jun 10 2007 Marius Feraru <altblue@n0i.net> - 0.82-1.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.82

* Sat Jul 15 2006 Marius Feraru <altblue@n0i.net> - 0.77-1.n0i.9
- version 0.77

* Tue Jul 04 2006 Marius Feraru <altblue@n0i.net> - 0.76-1.n0i.8
- version 0.76

* Sun Jun 04 2006 Marius Feraru <altblue@n0i.net> - 0.75-1.n0i.7
- version 0.75

* Sat Apr 01 2006 Marius Feraru <altblue@n0i.net> - 0.74-1.n0i.6
- version 0.74

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> 0.73-1.n0i.5
- version 0.73

* Tue Sep 20 2005 Marius Feraru <altblue@n0i.net> 0.72-1.n0i.4
- version 0.72

* Fri Sep 09 2005 Marius Feraru <altblue@n0i.net> 0.71-1.n0i.3
- version 0.71

* Wed Aug 03 2005 Marius Feraru <altblue@n0i.net> 0.70_02-1.n0i.2.0.7002
- version 0.7002

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 0.70_01-1.n0i.1.0.7001
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- rebuild on perl 5.8.7
